Bug 1662551 - python interpreter not found
Summary: python interpreter not found
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio-equalizer
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1817484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-29 19:42 UTC by pkoz
Modified: 2020-11-24 15:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 15:51:12 UTC
Type: Bug


Attachments (Terms of Use)
pulseaudio-equalizer fixes (28.50 KB, patch)
2019-10-29 18:52 UTC, Zoltan Boszormenyi
no flags Details | Diff
pulseaudio-equalizer-gtk script fix (449 bytes, patch)
2019-10-29 18:54 UTC, Zoltan Boszormenyi
no flags Details | Diff

Description pkoz 2018-12-29 19:42:54 UTC
Description of problem:
pulseaudio-equalizer-gtk does not start.

Version-Release number of selected component (if applicable):
pulseaudio-equalizer-2.7-21.fc29.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Fedora 29 has only python2 and python3, python is missing.
When pulseaudio-equalizer-gtk tries to invoke python, it fails.

Comment 1 Bernie Innocenti 2019-10-21 09:41:55 UTC
This bug is still present in Fedora 31, please change the status to CONFIRMED.

Moreover, if you install python-unversioned-command, pulseaudio-equalizer will try to use python3 even though it's not been ported to python3:

  File "/usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py", line 42
    print "Getting settings..."
                              ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print("Getting settings...")?

Comment 2 Zoltan Boszormenyi 2019-10-29 18:52:44 UTC
Created attachment 1630312 [details]
pulseaudio-equalizer fixes

The patch fixes:
* inconsistent TAB/space usage
* shebang line to execute python2
* print function call syntax

Comment 3 Zoltan Boszormenyi 2019-10-29 18:54:14 UTC
Created attachment 1630313 [details]
pulseaudio-equalizer-gtk script fix

The patch fixes pulseaudio-equalizer-gtk script.

Comment 4 Zoltan Boszormenyi 2019-10-29 18:58:34 UTC
I used these two patches over https://koji.fedoraproject.org/koji/buildinfo?buildID=1121317 to rebuild on Fedora 31.
The equalizer starts and works.

Comment 5 Anand 2020-05-07 11:57:57 UTC
The file /usr/bin/pulseaudio-equalizer-gtk belonging to the package above : pulseaudio-equalizer-2.7-21.fc29.noarch has issues in finding the right python interpreter.
The python now defaults to python3 and it seems it requires python2 to run which should be explicitly indicated and fixed in the rpm package script.

FROM CURRENT : 
#########################

#!/bin/bash

# PulseAudio LADSPA Equalizer - wrapper script
# Author: Conn O'Griofa <connogriofa AT gmail DOT com>
# Version: (see '/usr/pulseaudio-equalizer' script)

python /usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py

TO BELOW :
#########################

#!/bin/bash

# PulseAudio LADSPA Equalizer - wrapper script
# Author: Conn O'Griofa <connogriofa AT gmail DOT com>
# Version: (see '/usr/pulseaudio-equalizer' script)

python2 /usr/share/pulseaudio-equalizer/pulseaudio-equalizer.py

Comment 6 seanmottles 2020-05-20 04:32:06 UTC
Hi all,

I made some changes that allow this to work with Python 3 on Fedora 32:

https://notabug.org/seaninspace/pulseaudio-equalizer

I did remove the presets box as I'm not very familiar with GTK3. More info in the README.

I don't claim to be the new maintainer of this, just sharing what I did to get it to work. While I had been using the python2 interpreter for a while I figure that's not very sustainable and I didn't want to live in a world without a system-wide equalizer :)

Comment 7 Fedora Admin user for bugzilla script actions 2020-05-27 15:23:36 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 8 Ben Cotton 2020-11-03 17:01:55 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-11-24 15:51:12 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.